#############################################################################
# Makefile for building ../lib/libwrl.a
# Generated by tmake at 09:51, 2002/06/27
#     Project: src
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -O2
CXXFLAGS=	-pipe -O2
INCPATH	=	-I../include -I../include/private -I../mkspecs/linux-g++
AR	=	ar cqs
RANLIB	=	
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	../include/cmdline.h \
		../include/preferences.h \
		../include/private/qapplication_p.h \
		../include/private/qcom_p.h \
		../include/private/qcomlibrary_p.h \
		../include/private/qcomponentfactory_p.h \
		../include/private/qdir_p.h \
		../include/private/qgpluginmanager_p.h \
		../include/private/qlibrary_p.h \
		../include/private/qpluginmanager_p.h \
		../include/private/qtextcodecinterface_p.h \
		../include/private/qucom_p.h \
		../include/private/qucomextra_p.h \
		../include/qapplication.h \
		../include/qasciicache.h \
		../include/qasciidict.h \
		../include/qbitarray.h \
		../include/qbuffer.h \
		../include/qcache.h \
		../include/qcleanuphandler.h \
		../include/qconfig.h \
		../include/qconnection.h \
		../include/qcstring.h \
		../include/qdatastream.h \
		../include/qdatetime.h \
		../include/qdict.h \
		../include/qdir.h \
		../include/qdom.h \
		../include/qevent.h \
		../include/qfeatures.h \
		../include/qfile.h \
		../include/qfiledefs_p.h \
		../include/qfileinfo.h \
		../include/qgarray.h \
		../include/qgcache.h \
		../include/qgdict.h \
		../include/qglist.h \
		../include/qglobal.h \
		../include/qguardedptr.h \
		../include/qgvector.h \
		../include/qhostaddress.h \
		../include/qintcache.h \
		../include/qintdict.h \
		../include/qiodevice.h \
		../include/qlibrary.h \
		../include/qmap.h \
		../include/qmemarray.h \
		../include/qmetaobject.h \
		../include/qmodules.h \
		../include/qnamespace.h \
		../include/qobject.h \
		../include/qobjectdefs.h \
		../include/qobjectlist.h \
		../include/qpair.h \
		../include/qpoint.h \
		../include/qpointarray.h \
		../include/qptrcollection.h \
		../include/qptrdict.h \
		../include/qptrlist.h \
		../include/qptrqueue.h \
		../include/qptrstack.h \
		../include/qptrvector.h \
		../include/qregexp.h \
		../include/qrtlcodec.h \
		../include/qsettings.h \
		../include/qshared.h \
		../include/qsignalslotimp.h \
		../include/qsocketdevice.h \
		../include/qstring.h \
		../include/qstringlist.h \
		../include/qstrlist.h \
		../include/qt_windows.h \
		../include/qtextcodec.h \
		../include/qtextcodecfactory.h \
		../include/qtextstream.h \
		../include/qtl.h \
		../include/qtranslator.h \
		../include/qtsciicodec.h \
		../include/qutfcodec.h \
		../include/quuid.h \
		../include/qvaluelist.h \
		../include/qvaluestack.h \
		../include/qvaluevector.h \
		../include/qvariant.h \
		../include/qwindowdefs.h \
		../include/qwindowdefs_win.h \
		../include/qxml.h \
		../mkspecs/linux-g++/qplatformdefs.h
SOURCES =	cmdline.cpp \
		codecs/qtextcodec.cpp \
		codecs/qtextcodecfactory.cpp \
		codecs/qtsciicodec.cpp \
		codecs/qutfcodec.cpp \
		kernel/qapplication.cpp \
		kernel/qconnection.cpp \
		kernel/qevent.cpp \
		kernel/qguardedptr.cpp \
		kernel/qmetaobject.cpp \
		kernel/qobject.cpp \
		kernel/qtranslator.cpp \
		kernel/qucomextra.cpp \
		kernel/qvariant.cpp \
		network/qhostaddress.cpp \
		network/qsocketdevice.cpp \
		preferences.cpp \
		tools/qbitarray.cpp \
		tools/qbuffer.cpp \
		tools/qcomlibrary.cpp \
		tools/qcomponentfactory.cpp \
		tools/qcstring.cpp \
		tools/qdatastream.cpp \
		tools/qdatetime.cpp \
		tools/qdir.cpp \
		tools/qfile.cpp \
		tools/qfileinfo.cpp \
		tools/qgarray.cpp \
		tools/qgcache.cpp \
		tools/qgdict.cpp \
		tools/qglist.cpp \
		tools/qglobal.cpp \
		tools/qgpluginmanager.cpp \
		tools/qgvector.cpp \
		tools/qiodevice.cpp \
		tools/qlibrary.cpp \
		tools/qmap.cpp \
		tools/qptrcollection.cpp \
		tools/qregexp.cpp \
		tools/qsettings.cpp \
		tools/qstring.cpp \
		tools/qstringlist.cpp \
		tools/qtextstream.cpp \
		tools/qucom.cpp \
		tools/quuid.cpp \
		xml/qdom.cpp \
		xml/qxml.cpp \
		kernel/qapplication_x11.cpp \
		tools/qsettings_unix.cpp \
		tools/qdir_unix.cpp \
		tools/qfile_unix.cpp \
		tools/qfileinfo_unix.cpp \
		tools/qlibrary_unix.cpp \
		network/qsocketdevice_unix.cpp
OBJECTS =	.tmp/cmdline.o \
		.tmp/qtextcodec.o \
		.tmp/qtextcodecfactory.o \
		.tmp/qtsciicodec.o \
		.tmp/qutfcodec.o \
		.tmp/qapplication.o \
		.tmp/qconnection.o \
		.tmp/qevent.o \
		.tmp/qguardedptr.o \
		.tmp/qmetaobject.o \
		.tmp/qobject.o \
		.tmp/qtranslator.o \
		.tmp/qucomextra.o \
		.tmp/qvariant.o \
		.tmp/qhostaddress.o \
		.tmp/qsocketdevice.o \
		.tmp/preferences.o \
		.tmp/qbitarray.o \
		.tmp/qbuffer.o \
		.tmp/qcomlibrary.o \
		.tmp/qcomponentfactory.o \
		.tmp/qcstring.o \
		.tmp/qdatastream.o \
		.tmp/qdatetime.o \
		.tmp/qdir.o \
		.tmp/qfile.o \
		.tmp/qfileinfo.o \
		.tmp/qgarray.o \
		.tmp/qgcache.o \
		.tmp/qgdict.o \
		.tmp/qglist.o \
		.tmp/qglobal.o \
		.tmp/qgpluginmanager.o \
		.tmp/qgvector.o \
		.tmp/qiodevice.o \
		.tmp/qlibrary.o \
		.tmp/qmap.o \
		.tmp/qptrcollection.o \
		.tmp/qregexp.o \
		.tmp/qsettings.o \
		.tmp/qstring.o \
		.tmp/qstringlist.o \
		.tmp/qtextstream.o \
		.tmp/qucom.o \
		.tmp/quuid.o \
		.tmp/qdom.o \
		.tmp/qxml.o \
		.tmp/qapplication_x11.o \
		.tmp/qsettings_unix.o \
		.tmp/qdir_unix.o \
		.tmp/qfile_unix.o \
		.tmp/qfileinfo_unix.o \
		.tmp/qlibrary_unix.o \
		.tmp/qsocketdevice_unix.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	.tmp/moc_qapplication.cpp \
		.tmp/moc_qguardedptr.cpp \
		.tmp/moc_qobject.cpp \
		.tmp/moc_qtranslator.cpp \
		.tmp/qapplication_x11.moc
OBJMOC	=	.tmp/moc_qapplication.o \
		.tmp/moc_qguardedptr.o \
		.tmp/moc_qobject.o \
		.tmp/moc_qtranslator.o
DIST	=	
TARGET	=	../lib/libwrl.a
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

staticlib: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET)
	$(AR) $(TARGET) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake: Makefile

Makefile: src.pro
	tmake src.pro -o Makefile

dist:
	$(TAR) src.tar src.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) src.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

####### Sub-libraries


###### Combined headers


####### Compile

.tmp/cmdline.o: cmdline.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/cmdline.o cmdline.cpp

.tmp/qtextcodec.o: codecs/qtextcodec.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qtextcodec.o codecs/qtextcodec.cpp

.tmp/qtextcodecfactory.o: codecs/qtextcodecfactory.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qtextcodecfactory.o codecs/qtextcodecfactory.cpp

.tmp/qtsciicodec.o: codecs/qtsciicodec.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qtsciicodec.o codecs/qtsciicodec.cpp

.tmp/qutfcodec.o: codecs/qutfcodec.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qutfcodec.o codecs/qutfcodec.cpp

.tmp/qapplication.o: kernel/qapplication.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qapplication.o kernel/qapplication.cpp

.tmp/qconnection.o: kernel/qconnection.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qconnection.o kernel/qconnection.cpp

.tmp/qevent.o: kernel/qevent.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qevent.o kernel/qevent.cpp

.tmp/qguardedptr.o: kernel/qguardedptr.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qguardedptr.o kernel/qguardedptr.cpp

.tmp/qmetaobject.o: kernel/qmetaobject.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qmetaobject.o kernel/qmetaobject.cpp

.tmp/qobject.o: kernel/qobject.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qobject.o kernel/qobject.cpp

.tmp/qtranslator.o: kernel/qtranslator.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qtranslator.o kernel/qtranslator.cpp

.tmp/qucomextra.o: kernel/qucomextra.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qucomextra.o kernel/qucomextra.cpp

.tmp/qvariant.o: kernel/qvariant.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qvariant.o kernel/qvariant.cpp

.tmp/qhostaddress.o: network/qhostaddress.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qhostaddress.o network/qhostaddress.cpp

.tmp/qsocketdevice.o: network/qsocketdevice.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qsocketdevice.o network/qsocketdevice.cpp

.tmp/preferences.o: preferences.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/preferences.o preferences.cpp

.tmp/qbitarray.o: tools/qbitarray.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qbitarray.o tools/qbitarray.cpp

.tmp/qbuffer.o: tools/qbuffer.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qbuffer.o tools/qbuffer.cpp

.tmp/qcomlibrary.o: tools/qcomlibrary.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qcomlibrary.o tools/qcomlibrary.cpp

.tmp/qcomponentfactory.o: tools/qcomponentfactory.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qcomponentfactory.o tools/qcomponentfactory.cpp

.tmp/qcstring.o: tools/qcstring.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qcstring.o tools/qcstring.cpp

.tmp/qdatastream.o: tools/qdatastream.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qdatastream.o tools/qdatastream.cpp

.tmp/qdatetime.o: tools/qdatetime.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qdatetime.o tools/qdatetime.cpp

.tmp/qdir.o: tools/qdir.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qdir.o tools/qdir.cpp

.tmp/qfile.o: tools/qfile.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qfile.o tools/qfile.cpp

.tmp/qfileinfo.o: tools/qfileinfo.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qfileinfo.o tools/qfileinfo.cpp

.tmp/qgarray.o: tools/qgarray.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qgarray.o tools/qgarray.cpp

.tmp/qgcache.o: tools/qgcache.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qgcache.o tools/qgcache.cpp

.tmp/qgdict.o: tools/qgdict.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qgdict.o tools/qgdict.cpp

.tmp/qglist.o: tools/qglist.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qglist.o tools/qglist.cpp

.tmp/qglobal.o: tools/qglobal.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qglobal.o tools/qglobal.cpp

.tmp/qgpluginmanager.o: tools/qgpluginmanager.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qgpluginmanager.o tools/qgpluginmanager.cpp

.tmp/qgvector.o: tools/qgvector.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qgvector.o tools/qgvector.cpp

.tmp/qiodevice.o: tools/qiodevice.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qiodevice.o tools/qiodevice.cpp

.tmp/qlibrary.o: tools/qlibrary.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qlibrary.o tools/qlibrary.cpp

.tmp/qmap.o: tools/qmap.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qmap.o tools/qmap.cpp

.tmp/qptrcollection.o: tools/qptrcollection.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qptrcollection.o tools/qptrcollection.cpp

.tmp/qregexp.o: tools/qregexp.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qregexp.o tools/qregexp.cpp

.tmp/qsettings.o: tools/qsettings.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qsettings.o tools/qsettings.cpp

.tmp/qstring.o: tools/qstring.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qstring.o tools/qstring.cpp

.tmp/qstringlist.o: tools/qstringlist.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qstringlist.o tools/qstringlist.cpp

.tmp/qtextstream.o: tools/qtextstream.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qtextstream.o tools/qtextstream.cpp

.tmp/qucom.o: tools/qucom.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qucom.o tools/qucom.cpp

.tmp/quuid.o: tools/quuid.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/quuid.o tools/quuid.cpp

.tmp/qdom.o: xml/qdom.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qdom.o xml/qdom.cpp

.tmp/qxml.o: xml/qxml.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qxml.o xml/qxml.cpp

.tmp/qapplication_x11.o: kernel/qapplication_x11.cpp \
		.tmp/qapplication_x11.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qapplication_x11.o kernel/qapplication_x11.cpp

.tmp/qsettings_unix.o: tools/qsettings_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qsettings_unix.o tools/qsettings_unix.cpp

.tmp/qdir_unix.o: tools/qdir_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qdir_unix.o tools/qdir_unix.cpp

.tmp/qfile_unix.o: tools/qfile_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qfile_unix.o tools/qfile_unix.cpp

.tmp/qfileinfo_unix.o: tools/qfileinfo_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qfileinfo_unix.o tools/qfileinfo_unix.cpp

.tmp/qlibrary_unix.o: tools/qlibrary_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qlibrary_unix.o tools/qlibrary_unix.cpp

.tmp/qsocketdevice_unix.o: network/qsocketdevice_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/qsocketdevice_unix.o network/qsocketdevice_unix.cpp

.tmp/moc_qapplication.o: .tmp/moc_qapplication.cpp \
		../include/qapplication.h \
		../include/qasciidict.h \
		../include/qgdict.h \
		../include/qptrcollection.h \
		../include/qglobal.h \
		../include/qconfig.h \
		../include/qmodules.h \
		../include/qfeatures.h \
		../include/qstring.h \
		../include/qcstring.h \
		../include/qmemarray.h \
		../include/qgarray.h \
		../include/qshared.h \
		../include/qobject.h \
		../include/qobjectdefs.h \
		../include/qwindowdefs.h \
		../include/qnamespace.h \
		../include/qwindowdefs_win.h \
		../include/qevent.h \
		../include/qpair.h \
		../include/qtranslator.h \
		../include/qvaluelist.h \
		../include/qtl.h \
		../include/qtextstream.h \
		../include/qiodevice.h \
		../include/qdatastream.h \
		../include/qstrlist.h \
		../include/qptrlist.h \
		../include/qglist.h \
		../include/qstringlist.h \
		../include/quuid.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/moc_qapplication.o .tmp/moc_qapplication.cpp

.tmp/moc_qguardedptr.o: .tmp/moc_qguardedptr.cpp \
		../include/qguardedptr.h \
		../include/qobject.h \
		../include/qobjectdefs.h \
		../include/qglobal.h \
		../include/qconfig.h \
		../include/qmodules.h \
		../include/qfeatures.h \
		../include/qwindowdefs.h \
		../include/qstring.h \
		../include/qcstring.h \
		../include/qmemarray.h \
		../include/qgarray.h \
		../include/qshared.h \
		../include/qnamespace.h \
		../include/qwindowdefs_win.h \
		../include/qevent.h \
		../include/qpair.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/moc_qguardedptr.o .tmp/moc_qguardedptr.cpp

.tmp/moc_qobject.o: .tmp/moc_qobject.cpp \
		../include/qobject.h \
		../include/qobjectdefs.h \
		../include/qglobal.h \
		../include/qconfig.h \
		../include/qmodules.h \
		../include/qfeatures.h \
		../include/qwindowdefs.h \
		../include/qstring.h \
		../include/qcstring.h \
		../include/qmemarray.h \
		../include/qgarray.h \
		../include/qshared.h \
		../include/qnamespace.h \
		../include/qwindowdefs_win.h \
		../include/qevent.h \
		../include/qpair.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/moc_qobject.o .tmp/moc_qobject.cpp

.tmp/moc_qtranslator.o: .tmp/moc_qtranslator.cpp \
		../include/qtranslator.h \
		../include/qobject.h \
		../include/qobjectdefs.h \
		../include/qglobal.h \
		../include/qconfig.h \
		../include/qmodules.h \
		../include/qfeatures.h \
		../include/qwindowdefs.h \
		../include/qstring.h \
		../include/qcstring.h \
		../include/qmemarray.h \
		../include/qgarray.h \
		../include/qshared.h \
		../include/qnamespace.h \
		../include/qwindowdefs_win.h \
		../include/qevent.h \
		../include/qpair.h \
		../include/qvaluelist.h \
		../include/qtl.h \
		../include/qtextstream.h \
		../include/qiodevice.h \
		../include/qdatastream.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .tmp/moc_qtranslator.o .tmp/moc_qtranslator.cpp

.tmp/moc_qapplication.cpp: ../include/qapplication.h
	$(MOC) ../include/qapplication.h -o .tmp/moc_qapplication.cpp

.tmp/moc_qguardedptr.cpp: ../include/qguardedptr.h
	$(MOC) ../include/qguardedptr.h -o .tmp/moc_qguardedptr.cpp

.tmp/moc_qobject.cpp: ../include/qobject.h
	$(MOC) ../include/qobject.h -o .tmp/moc_qobject.cpp

.tmp/moc_qtranslator.cpp: ../include/qtranslator.h
	$(MOC) ../include/qtranslator.h -o .tmp/moc_qtranslator.cpp

.tmp/qapplication_x11.moc: kernel/qapplication_x11.cpp
	$(MOC) kernel/qapplication_x11.cpp -o .tmp/qapplication_x11.moc

